
From: mark@borgerding.net

Access times of tmpfs dirs do not get updated on readdir.  This can cause
empty dirs to get tmpwatch'd too early, b/c atime never changes even though
the dir is in use.



---

 fs/libfs.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/libfs.c~tmpfs-readdir-atime-fix fs/libfs.c
--- 25/fs/libfs.c~tmpfs-readdir-atime-fix	2004-01-11 13:03:50.000000000 -0800
+++ 25-akpm/fs/libfs.c	2004-01-11 13:03:50.000000000 -0800
@@ -155,6 +155,7 @@ int dcache_readdir(struct file * filp, v
 			}
 			spin_unlock(&dcache_lock);
 	}
+	update_atime(dentry->d_inode);
 	return 0;
 }
 

_
